%define debug_package %{nil}

Name:		bulk_extractor
Version:	2.0.3
%define		MyVersion	%(echo %{version} | sed s/.beta/-beta/)
Release:	1%{?dist}
Summary:	bulk_extractor is a C++ program that scans a disk image, a file, or a directory of files and extracts useful information

Group:		Applications/File
License:	GPL
URL:		http://digitalcorpora.org/downloads/bulk_extractor/
Source0:	%{name}-%{MyVersion}.tar.gz
Patch1:		%{name}-%{MyVersion}-patch-001
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	make
BuildRequires:	flex
%if 0%{?centos} == 8
BuildRequires:	gcc-toolset-9-toolchain
%else
%if 0%{?centos} == 7
BuildRequires:	devtoolset-9-gcc
BuildRequires:	devtoolset-9-gcc-c++
%else
BuildRequires:	gcc
BuildRequires:	gcc-c++
%endif
%endif
BuildRequires:	git
BuildRequires:	libtool
BuildRequires:	md5deep
BuildRequires:	wget
BuildRequires:	bison
BuildRequires:	zlib-devel
BuildRequires:	libewf
BuildRequires:	libewf-devel
BuildRequires:	java-1.8.0-openjdk-devel
BuildRequires:	libxml2-devel
%if 0%{?centos} != 8 && 0%{?centos} != 9
BuildRequires:	libxml2-static
%endif
BuildRequires:	openssl-devel
BuildRequires:	sqlite-devel
BuildRequires:	expat-devel


%description
bulk_extractor is a C++ program that scans a disk image, a file, or a
directory of files and extracts useful information without parsing the
file system or file system structures. Useful information currently
includes email addresses, URLs, credit card numbers, EXIF data
structures, KML files, AES encryption keys (from RAM), IP packets, and
other kinds of forensicly important information. Results are stored in
text files (called feature files) 
that can be easily inspected, parsed, or processed with automated
tools. The program is multi-threaded and will use all available
cores. bulk_extractor also created a histograms of features that it finds,
as features that are more common tend to be more important.

%prep
%autosetup -p1 -n %{name}-%{MyVersion}

%build
[ -d build-aux ] || mkdir build-aux
autoheader -f
touch NEWS README AUTHORS ChangeLog
touch stamp-h
aclocal -I m4
autoconf -f
#libtoolize || glibtoolize
automake --add-missing --copy
%if 0%{?centos} == 8
echo sh configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking \
	 --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share \
	--includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib \
	--mandir=/usr/share/man --infodir=/usr/share/info | scl enable gcc-toolset-9 -
echo %{__make} | scl enable gcc-toolset-9 -
%else
%if 0%{?centos} == 7
echo sh configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking \
	 --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share \
	--includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib \
	--mandir=/usr/share/man --infodir=/usr/share/info | scl enable devtoolset-9 -
echo %{__make} | scl enable devtoolset-9 -
%else
%configure
%{__make}
%endif
%endif


%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d %{buildroot}/%{_bindir}
cd python; for file in *.py; do sed -i '1s/python$/python3/' $file; install -m 755 $file %{buildroot}%{_bindir}; done; cd ..
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%if  0%{?centos} == 7
rm -f $RPM_BUILD_ROOT/%{_bindir}/be_grapher.py 
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING INSTALL AUTHORS NEWS README
/usr/bin/*
%{_mandir}/man1/*


#%post -p /sbin/ldconfig

#%postun -p /sbin/ldconfig


%changelog
* Sat Apr 15 2023 Lawrence Rogers <lrr@cert.org> - 2.0.3-1
* Release 2.0.3-1
	Version 2.0.3

* Sun Apr  3 2022 Lawrence Rogers <lrr@cert.org> - 2.0.0-1
* Release 2.0.0-1
	Version 2.0.0

* Wed Dec 15 2021 Lawrence Rogers <lrr@cert.org> - 2.0.0.beta3-1
* Release 2.0.0.beta3-1
	Version 2.0.0.beta3 

* Fri Nov 19 2021 Lawrence Rogers <lrr@cert.org> - 2.0.0.dev-2
* Release 2.0.0.dev-2
	Rebuilt with expat-devel to enable restarts.
